Bug 1024201 - can't find input methods like Marathi - Inscript or itrans in the installer
can't find input methods like Marathi - Inscript or itrans in the installer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: langtable (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 02:31 EDT by anish
Modified: 2015-06-29 08:45 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:45:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (62.74 KB, image/png)
2013-10-29 02:31 EDT, anish
no flags Details
ubuntu-12.10-left-ubuntu-13.10-right.png (676.47 KB, image/png)
2013-10-30 12:12 EDT, Mike FABIAN
no flags Details

  None (edit)
Description anish 2013-10-29 02:31:00 EDT
Created attachment 816973 [details]
screen shot

Description of problem:
I am installing Fedora 20 beta from live CD and in select language menu i can't find Marathi inscript or itrans layout.
I could find only phonetic, please find screen shot attached 

Version-Release number of selected component (if applicable):
Fedora 20 TC-6 beta

How reproducible:


Steps to Reproduce:
1. Click on installer 
2. Select Marathi language 
3. In language selection try to find marathi input methods such as intrans or inscript 


Expected results:
Marathi input methods should get listed 

Additional info:
Comment 1 Mike FABIAN 2013-10-29 11:18:02 EDT
The installer doesn’t yet support input methods at all, only keyboard layouts.

The "phonetic" seen in the screen shot attached to comment#0 is also
a keyboard layout, not an input method:

[mfabian@Fedora-20-Beta-TC6-x86_64-netins ~]$ grep Marathi /usr/share/X11/xkb/symbols/in
//     - Devanagari (Hindi, Marathi, Sanskrit)
// Brief:       Devanagari layout (Hindi, Sanskrit, Nepali, Marathi, etc.)
// Marathi uses Devanagari layout of Hindi
  name[Group1] = "Marathi (KaGaPa phonetic)";
[mfabian@Fedora-20-Beta-TC6-x86_64-netins ~]$ grep Marathi /usr/share/X11/xkb/symbols/in
Comment 2 Mike FABIAN 2013-10-29 11:22:44 EDT
So this is not a langtable problem, at least not yet.

In the long run, the installer should support input methods of course
so that also users of Chinese or Japanese could edit information
like their real names using their native script.

When I test installed ubuntu-12.10 a while ago, I saw that their installer
does seem to try to support input methods, although it didn’t seem to work.

In the long run, support for input methods should be added to anaconda.

Not sure what to do now with this bug. Maybe back to anaconda ...
Comment 3 Mike FABIAN 2013-10-30 12:12:05 EDT
Created attachment 817506 [details]
ubuntu-12.10-left-ubuntu-13.10-right.png

Ubuntu does not seem to support input methods during the installation either.

The left side of this screenshot is from the installation
of ubuntu-12.10-desktop-amd64.iso, the right side from
the installation of ubuntu-13.10-desktop-amd64.iso.

The screen during the installation where the real user name can be
entered is shown in both screen shots.  That is the only place where I
can imagine an input method might have some use during the
installation. For example a Japanese user could write his name
correctly written in Japanes characters into the field for the "real
name" (not the login name).

One can see that in ubuntu 12.10, there were 2 keyboard icons on the
top, one of them is for ibus. Right clicking that one can show the
“about” message of ibus and also open the setup tool and add input
methods.  Only 2 Chinese input methods are selectable, one of them is
“Pinyin”. But even after selecting that and clicking the right mouse
button on the name entry field and selecting

    Input Methods -> IBus (Intelligent input Bus)

from the context menu, Chinese input still does not work.
Restarting ibus (from the context menu of the keyboard icon in the panel
at the top) does not help either.

In ubuntu 13.10, there is no keyboard icon at the top, ibus seems
not to be running at all. One can still open the context menu
of the name entry field, but selecting ibus there of course does not
achieve anything.

So this looks like Ubuntu does not support input methods during the
installation either at the moment.

I am not sure whether the running ibus in 12.10 was a failed attempt
to use input methods during the installation or an error.
Comment 4 Mike FABIAN 2013-10-30 12:21:45 EDT
Although input method support during the installation might be an
interesting feature, its real usefulness is quite small, I think.

What else could it be useful for except for entering the real
user name in a script which requires an input method?

There is not much opportunity to enter text in one’s native language
during the installation, most stuff one enters there has to be ASCII
anyway like the login name or mount points.
Comment 6 Fedora End Of Life 2015-05-29 05:38:57 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:45:08 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.